library ac_dart.host_service.bitbucket;

import 'dart:async';

import 'package:atlassian_connect_host/src/host_service/host_http_client.dart';
import 'package:shelf_oauth/shelf_oauth.dart';

import 'bitbucket_service_impl.dart';

abstract class BitbucketService {
  factory BitbucketService(AcHostHttpClient client) = BitbucketServiceImpl;

  Future<OAuth2TokenPair> obtainOAuthTokenFromJwt();
}
